Subject: bug#28257: 26.0.50; [PATCH] expose eldoc functions in a hook

From: Noam Postavsky <[email-masked]>
Date: Tue, 11 Feb 2020 16:57:04 -0500

Eli Zaretskii <[email-masked]> writes:

> Ping!
>
> Can we please review Mark's patch some time soon?  TIA.

+  (if (> emacs-major-version 25)
+      (add-hook 'eldoc-documentation-functions
+                #'cfengine3-documentation-function nil t)

I think the 25 should be 26?  Or 27 if this is going to master (in which
case the python.el hunk needs to be adjusted too).  Otherwise, the patch
itself is fine in terms of coding details, as far as I can tell.

I feel somewhat underqualified to decide whether or not the change in
the semantics of eldoc-documentation-function is a good idea.